CProductCacheHandler Class Reference

The singleton that handles all product caches. More...

`#include <mia/core/productcache.hh>`

## Public Member Functions

void | clear_all ()
| clears all registered product caches
void | register_cache (const std::string &name, CProductCache *cache)

## Static Public Member Functions

static CProductCacheHandler & | instance ()

## Detailed Description

The singleton that handles all product caches.

Definition at line 119 of file productcache.hh.

## Member Function Documentation

## clear_all()

void CProductCacheHandler::clear_all | ( |  | ) |

clears all registered product caches

## instance()

CProductCacheHandler & CProductCacheHandler::instance | ( |  | ) |

static

Returns
  an instance of the cache handler

## register_cache()

void CProductCacheHandler::register_cache | ( | const std::string & | name,
|  | CProductCache * | cache )

Register a product cache

Parameters

  name | of the factory plugin handler
  cache | the actual cache

The documentation for this class was generated from the following file:

- productcache.hh